# HG changeset patch
# User John W. Eaton <jwe@octave.org>
# Date 1470768112 14400
#      Tue Aug 09 14:41:52 2016 -0400
# Node ID 66dd260512a441f9ed70c5ab13fc296f4b8153bb
# Parent  60faa7c85e3186b9fbc750e0907f602a226a9d15
allow configure to select Qt version

* Makefile.am (AM_FFLAGS): Include FPICFLAG in definition.
(AM_CFLAGS): Include CPICFLAG in definition.
(AM_CXXFLAGS): Include CXXPICFLAG in definition.

* libgui/module.mk: Use MOCFLAGS, UICFLAGS, RCCFLAGS, and
LRELEASEFLAGS in MOC, UIC, RCC, and LRELEASE commands.

* acinclude.m4: Add CXXPICFLAG to CXXFLAGS in Qt tests.
(OCTAVE_CHECK_QSCINTILLA_VERSION): Rename from
OCTAVE_CHECK_VERSION_2_6_0.
(OCTAVE_CHECK_QT_VERSION, OCTAVE_CHECK_QT): New macros extracted from
configure.ac.

* configure.ac: Move checks for shared vs. static libraries earlier in
file.  Allow checking for multiple versions of Qt libraries.  Report
MOC, UIC, RCC, and LRELEASE in summary.

diff -r 60faa7c85e31 -r 66dd260512a4 Makefile.am
--- a/Makefile.am	Mon Aug 08 19:22:29 2016 -0400
+++ b/Makefile.am	Tue Aug 09 14:41:52 2016 -0400
@@ -38,11 +38,11 @@
 
 # Fortran compiler flags.
 
-AM_FFLAGS = @FFLAGS@
+AM_FFLAGS = ${FPICFLAG} @FFLAGS@
 
 # C compiler flags.
 
-AM_CFLAGS = ${XTRA_CFLAGS}
+AM_CFLAGS = ${CPICFLAG} ${XTRA_CFLAGS}
 
 # ifeq (${INCLUDE_DEPS},no)
 #   omit_deps = true;
@@ -50,7 +50,7 @@
 
 # C++ compiler flags.
 
-AM_CXXFLAGS = ${XTRA_CXXFLAGS}
+AM_CXXFLAGS = ${CXXPICFLAG} ${XTRA_CXXFLAGS}
 
 FFTW_XCPPFLAGS = @FFTW_XCPPFLAGS@
 FFTW_XLDFLAGS = @FFTW_XLDFLAGS@
